The cublas package

[Tags: bsd3, library]

This package provides FFI bindings to the NVIDIA CUDA CUBLAS and CUSPARSE linear algebra GPU BLAS implementations. The modules Foreign.CUDA.Cublas and Foreign.CUDA.Cusparse are probably the most useful.

Requires CUDA version 6.5.

If you have trouble installing this package, it may help to view the Github page:


Versions0.2.0.0,,, (info)
Change logNone available
Dependenciesbase (>=4.4 && <4.8), cuda (>=0.4.1 && <0.7), filepath (==1.3.*), language-c (>=0.4.2 && <0.5), storable-complex (>=0.2.1 && <0.3), template-haskell (>=2.7 && <2.10) [details]
CopyrightCopyright (c) [2012..2014]. Trevor L. McDonell <>, Ben Sherman <>
AuthorTrevor L. McDonell, Ben Sherman
MaintainerBen Sherman <>
Home page
Source repositoryhead: git clone git://
this: git clone git://
UploadedWed Dec 17 16:22:05 UTC 2014 by bmsherman
Downloads632 total (18 in last 30 days)
0 []
StatusDocs uploaded by user
Build status unknown [no reports yet]




Maintainers' corner

For package maintainers and hackage trustees